%define real_name SDL_perl

Summary: Wrapper around the cross platform Simple DirectMedia Layer game library
Name: perl-SDL
Version: 1.20.0
Release: alt1.1
License: LGPL
Group: Development/Perl
Source: ftp://sdlperl.org/SDL_perl/%real_name-%version.tar.gz
Url: http://www.sdlperl.org/
Provides: %real_name = %version-%release sdlpl = %version-%release

# Automatically added by buildreq on Tue Mar 18 2003
BuildRequires: XFree86-devel XFree86-libs aalib esound freetype2 libGLU-devel libSDL-devel libSDL_gfx-devel libSDL_image-devel libSDL_mixer-devel libSDL_net-devel libSDL_ttf-devel libalsa2 libarts libaudiofile libjpeg-devel libogg libpng-devel libslang libsmpeg-devel libtiff libvorbis perl-devel

%description
SDL Perl is a wrapper around the cross platform Simple Direct Layer game
library. Essentially it allows you to write cross platform games in Perl,
using 2d (SDL), or 3d (OpenGL), or a combination of both if you wish.

%prep
%setup -q -n %real_name-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README BUGS TODO
%perl_vendor_man3dir/*
%perl_vendor_autolib/SDL*
%perl_vendor_archlib/SDL*

%changelog
* Fri Jun 20 2003 Sergey V Turchin <zerg at altlinux dot org> 1.20.0-alt1.1
- rebuild with new SDL_gfx

* Tue Mar 18 2003 Stanislav Ievlev <inger@altlinux.ru> 1.20.0-alt1
- 1.20.0

* Thu Oct 31 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.19.0-alt1
- 1.19.0
- Rebuilt with new perl

* Fri Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.18-alt1
- 1.18

* Mon May 27 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.18-1mdk
- new stable release

* Sat May 11 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.16-3mdk
- s/SDL::Error/SDL::GetError/ in one pm

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.16-2mdk
- fix url
- rebuild for new alsa
- fix buildrequires

* Mon Apr 15 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.16-1mdk
- new version
  - patching Makefile.PL no more needed

* Mon Apr  8 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11-3mdk
- my mistake, it's LGPL, not GPL

* Tue Mar  5 2002 Grigory Milev <week@altlinux.ru> 1.11-alt1
- ALTLinux adaptation

* Fri Feb 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11-2mdk
- add dependency on perl

* Mon Jan 28 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11-1mdk
- new version with another patch sent to author integrated right away

* Wed Jan 23 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10-1mdk
- new release from author
- my SDL::Music patch integrated upstream

* Tue Jan 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.08-6mdk
- patch SDL::Music.pm where DESTROY was not calling the right function
  (who's using this library apart me anyway? ;p)

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 1.08-5mdk
- BuildRequires: libjpeg-devel perl-devel

* Fri Oct 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.08-4mdk
- rebuild for libpng3
- fix URL

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.08-3mdk
- rebuild

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.08-2mdk
- new SDL

* Tue Jan  2 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.08-1mdk
- first package in Linux-Mandrake
